#ifndef __MW_IR_CONTROLLER_H__
#define __MW_IR_CONTROLLER_H__

#include <stdint.h>
typedef enum
{
    ir_decode_up = 0,
    ir_decode_down,
    ir_decode_left,
    ir_decode_right,
    ir_decode_ok,


    ir_decode_NUM
}IR_DECODE_ENUM;

void mw_ir_comm_recv_loop(void);

void mw_ir_controller_init(void);

uint8_t mw_get_ir_controller_instruct(IR_DECODE_ENUM * eptr_val);


#endif

